Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.msgprocessors
Class TerminateSeqMsgProcessor

    java.lang.Object
      org.apache.sandesha2.util.WSRMMessageSender
          org.apache.sandesha2.msgprocessors.TerminateSeqMsgProcessor

All Implemented Interfaces:
  MsgProcessor

public class TerminateSeqMsgProcessor
extends WSRMMessageSender
implements MsgProcessor

Responsible for processing an incoming Terminate Sequence message.

Constructor Summary
`TerminateSeqMsgProcessor()`

Method Summary
`boolean` | `processInMessage(RMMsgContext terminateSeqRMMsg, Transaction transaction)`
`boolean` | `processOutMessage(RMMsgContext rmMsgCtx)`

Methods inherited from class org.apache.sandesha2.util.WSRMMessageSender
`getConfigurationContext, getInternalSequenceID, getMsgContext, getOutSequenceID, getRMSBean, getRMVersion, getSequenceKey, getStorageManager, getToAddress, isSequenceExists, sendOutgoingMessage, setupOutMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminateSeqMsgProcessor

    public TerminateSeqMsgProcessor()

Method Detail

### processInMessage

    public boolean processInMessage(RMMsgContext terminateSeqRMMsg,
                                    Transaction transaction)
                             throws org.apache.axis2.AxisFault

  Specified by:
    `processInMessage` in interface `MsgProcessor`
  Parameters:
    `terminateSeqRMMsg` -
  Returns:
    true if the msg context has been paused
  Throws:
    `org.apache.axis2.AxisFault`

### processOutMessage

    public boolean processOutMessage(RMMsgContext rmMsgCtx)
                              throws org.apache.axis2.AxisFault

  Specified by:
    `processOutMessage` in interface `MsgProcessor`
  Parameters:
    `rmMsgCtx` -
  Returns:
    true if the msg context has been paused
  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.